Resource Center/Hardware/Cluster Operations
PUTCluster OperationsSince 2.3SynchronousAuth Required
UpdateClusterOS
UpdateClusterOS
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateclusterosObjectRequiredupdateclusteros request body object.
excludePackagesListOptional. The packages not to be upgraded.
updatePackagesListOptional. The packages to be upgraded.
releaseVersionStringOptional. The release version of the operating system.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
forcebooleanOptional. Whether update cluster OS forcefully or not.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/clusters/{uuid}/actions
/zstack/v1/clusters/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/clusters/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateclusteros":{"excludePackages":["<excludePackages>"],"updatePackages":["<updatePackages>"],"releaseVersion":"<releaseVersion>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"force":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "932696598b64375ea4ae6226cc0c1407" } }Change History
This API has no change history records yet.
